Ask Your Question
0

vlc not playing videos and totem is also not playing videos

asked 2014-03-25 22:14:45 -0500

vinayk gravatar image

updated 2014-03-31 15:50:15 -0500

i flow this link . but not playing video and asking about H. 264 decoder. in vlc player giving flowing error. No suitable decoder module: VLC does not support the audio or video format "h264". Unfortunately there is no way for you to fix this.

rpm -qa *vlc* *gstreamer* *ffmpeg*
gstreamer1-plugins-bad-free-1.2.3-1.fc20.x86_64
vlc-core-2.1.4-1.fc20.x86_64
gstreamer-0.10.36-6.fc20.x86_64
gstreamer1-1.2.1-1.fc20.x86_64
gstreamer1-plugins-good-1.2.3-2.fc20.x86_64
gstreamer-devel-0.10.36-6.fc20.x86_64
gstreamer1-plugins-ugly-1.2.3-1.fc20.x86_64
gstreamer-plugins-good-0.10.31-10.fc20.x86_64
gstreamer-ffmpeg-0.10.13-11.fc20.x86_64
gstreamer1-devel-docs-1.2.1-1.fc20.noarch
gstreamer-plugins-espeak-0.4.0-2.fc19.x86_64
libnice-gstreamer1-0.1.4-2.fc20.x86_64
gstreamer-plugins-ugly-0.10.19-14.fc20.x86_64
gstreamer1-plugins-base-devel-docs-1.2.1-1.fc20.noarch
gstreamer1-libav-1.2.3-1.fc20.x86_64
ffmpeg-libs-2.1.4-1.fc20.x86_64
gstreamer-plugins-base-0.10.36-6.fc20.x86_64
gstreamer-plugins-base-devel-0.10.36-6.fc20.x86_64
gstreamer-plugins-bad-0.10.23-5.fc20.x86_64
PackageKit-gstreamer-plugin-0.8.13-1.fc20.x86_64
gstreamer-plugin-crystalhd-3.10.0-6.fc20.x86_64
gstreamer1-plugins-base-1.2.1-1.fc20.x86_64
ffmpeg-2.1.4-1.fc20.x86_64
gstreamer1-plugins-bad-freeworld-1.2.3-1.fc20.x86_64
gstreamer-tools-0.10.36-6.fc20.x86_64
gstreamer-plugins-bad-free-0.10.23-20.fc20.x86_64
gstreamer1-vaapi-0.5.8-3.fc20.x86_64
gstreamer-plugins-bad-nonfree-0.10.23-2.fc19.x86_64
i am playing
file name xyz.mp4
type MPEG-4 video (video/mp4)
size:52.3 MB
location:/home/vinay/Videos plugin search while playing song after click on search not found H264

edit retag flag offensive close merge delete

Comments

1

Please stop using # in front of tags. I have removed them

mether gravatar imagemether ( 2014-03-26 08:39:55 -0500 )edit

4 Answers

Sort by ยป oldest newest most voted
1

answered 2014-09-25 22:17:03 -0500

appishaiq gravatar image

VLC does play MP4 files, but it has strict limitations: VLC Media Player is only compatible with MPEG-4 ASP, DivX 4/5/6, XviD, 3ivX D4 and H.264 / MPEG-4 AVC. However, MP4 is a multimedia container format with many kinds of video and audio codecs. If your MP4 file contains a VLC unsupported audio or video codec, VLC won't play it.

Here is a step by step guide on how to successfully solve "VLC not playing MP4" issue with ease.

Hope it will help you more or less.

edit flag offensive delete link more

Comments

Restart and update worked for me...

tony gravatar imagetony ( 2014-09-27 10:06:06 -0500 )edit
1

answered 2014-03-26 01:30:14 -0500

liudas gravatar image

updated 2014-03-26 01:30:37 -0500

Vinayk, you have installed only flashplayer that is used to play flash videos in you web browser usually.

I guess that your real question had to be like this one: https://ask.fedoraproject.org/en/question/9111/sticky-what-plugins-do-i-need-to-install-to-watch-movies-and-listen-to-music/

edit flag offensive delete link more

Comments

i install all package which is mention in above link but it is not playing and giving save error that H 264 decoder. i don't understand in fedora 19 every videos was playing nice but in fedora 20 giving error. i install vlc and MPlayer but not playing videos.mp3 is playing fine.

vinayk gravatar imagevinayk ( 2014-03-27 14:16:28 -0500 )edit

Does this work: su -c "yum -y install vlc"; vlc http://clips.vorwaerts-gmbh.de/big_buck_bunny.mp4 ? See https://developer.mozilla.org/en-US/Apps/Build/Manipulating_media/H.264_support_in_Firefox

marcindulak gravatar imagemarcindulak ( 2014-03-28 03:30:49 -0500 )edit

Not working vlc. i install vlc

vinayk gravatar imagevinayk ( 2014-03-28 15:50:03 -0500 )edit

Please edit your question and add the output of this command in the terminal to it:

 rpm -qa \*vlc\* \*gstreamer\* \*ffmpeg\*
FranciscoD_ gravatar imageFranciscoD_ ( 2014-03-28 23:51:39 -0500 )edit

i have added above command out put to my question

vinayk gravatar imagevinayk ( 2014-03-30 05:09:13 -0500 )edit
0

answered 2014-10-02 17:29:53 -0500

n0oir gravatar image

Hi, try with these

su -c ' yum -y install gstreamer-plugins-ugly gstreamer-plugins-bad gstreamer-ffmpeg'

su -c 'yum -y install parole'

good luck,regards

edit flag offensive delete link more
0

answered 2016-02-15 20:11:41 -0500

I think the mp4 file might be the fake one or corrupt one, and maybe, well, there are something wrong with the MP4 video codec. Duo to MP4 contains lots of streams, such as audio, video and subtitle. So in this case,failed to play mp4 in vlc might because your MP4 file contains a VLC incompatible video codec too. If you sure your file is totally ok without any problem, you might choose to use some free application for converting video, to video kind supported by vlc. :)

edit flag offensive delete link more

Question Tools

1 follower

Stats

Asked: 2014-03-25 22:14:45 -0500

Seen: 3,985 times

Last updated: Oct 02 '14